Name:           nodejs-contextify
Version:        0.1.3
Release:        1%{?dist}
Summary:        Turn an object into a persistent execution context

Group:          System Environment/Libraries
License:        MIT
URL:            https://github.com/brianmcd/contextify
Source0:        http://registry.npmjs.org/contextify/-/contextify-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel
#BuildRequires:  npm(nodeunit)

%description
Turn an object into a V8 execution context.  A contextified object acts
as the global 'this' when executing scripts in its context.

The main difference between Contextify and Node's 'vm' methods is that
Contextify allows asynchronous functions to continue executing in the
Contextified object's context.

%prep
%setup -q -n package

%build
export CXXFLAGS="%{optflags}"
node-gyp rebuild

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/contextify/build
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/contextify
cp -p build/Release/contextify.node %{buildroot}%{nodejs_sitelib}/contextify/build

%nodejs_symlink_deps

#Tests are disabled because nodeunit is not yet packaged.
#%%check
#nodeunit test/

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/contextify
%doc LICENSE.txt README.md changelog

%changelog
* Mon Jan 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.3-1
- initial package
